package cn.wisenergy.service;

import cn.wisenergy.model.app.WorkUser;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author chenqi
 * @since 2021-01-19
 */
public interface WorkUserService {

    /**
     * 用户登录
     * @param loginName 登录名
     * @param password 密码
     * @param source 登录来源
     * @return
     */
    WorkUser login(String loginName, String password, String source);

    /**
     * 获取用户信息
     * @param id 用户主键
      * @return
     */
    WorkUser getUserById(Integer id);

    WorkUser getById(Integer id);

    WorkUser getDeptManagerByIds(List<Integer> ids);
}
